/*
 * libtota
 *
 * Copyright (c) 2017 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _FOTA_TAR_H_
#define _FOTA_TAR_H_

int tar_get_item_offset(char *tar, char *item);

int tar_get_item_size(char *tar, char *item);

int tar_get_cfg_data(char *tar, char *item, char *buf, int buflen);

int tar_get_folder_size(char *tar, char *item);

#endif                          /* _FOTA_TAR_H_ */
